

.button-container {
  color: white;
  font-family: Verdana, sans-serif;
  font-weight: bold;
  text-align: center;
}

.button-container h1 {
  font-size: 50px;
  margin-bottom: 20px;
}

.gato {
  max-width: 100%;
  margin-bottom: 20px;
}

.button-wrapper {
  z-index: 10;
}

.btn {
  height: 30px;
  width: 100px;
  font-size: 20px;
  margin: 10px;
  cursor: pointer;
  z-index: 999;
}

.memory-game {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  justify-content: center;
  margin: 0 auto;
  border-radius: 5px;
}

.memory-card {
  height: 240px;
  width: 240px;
  perspective: 1000px;
  position: relative;
  transition: transform 0.6s ease-in-out;
  transform-style: preserve-3d;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
  border-radius: 15px; /* Bordas arredondadas para a carta */
}

.memory-card.flip {
  transform: rotateY(180deg);
}

@media (max-width: 800px) {
  .memory-card {
    height: 100px;
    width: 100px;
  }
}

.container {
  padding: 40px 0;
}

.front-face, .back-face {
  height: 100%;
  width: 100%;
  position: absolute;
  background-size: cover;
  background-repeat: no-repeat;
  backface-visibility: hidden;
  object-fit: cover;
  border-radius: 15px; /* Bordas arredondadas para as imagens */
}

.front-face {
  transform: rotateY(180deg);
}

#pontuacao {
  color: white;
  font-family: Verdana, sans-serif;
  font-weight: bold;
  text-align: center;
}

.flip {
  transform: rotateY(180deg);
}
